<ion-header >
	<ion-navbar color="primary"   >
		<button ion-button menuToggle>
			<ion-icon name="menu"></ion-icon>
		</button>
		<ion-title>{{"ACCOUNT" | translate}}</ion-title>
	</ion-navbar>
</ion-header>

<ion-content padding-top>
	<ion-list no-padding padding-left no-lines margin-bottom margin-top>
		<ion-item no-padding (click)="goProfile()" *ngIf="_user.all">
			<h1>{{_user.displayname ? _user.displayname : (_user.firstname+' '+_user.lastname)}}</h1>
			<p>{{ 'VIEW_EDIT_PROFILE' | translate}}</p>
			<ion-avatar item-end>


				<img  src="assets/img/miscellaneous/user.png">
				<!--<img *ngIf="_user.picture != 'user.png'" src="{{_user.picture}}">-->
				<!--<img *ngIf="_user.picture != 'user.png'" src="{{(_user.picture).replace(new RegExp('_', 'g'),'&')}}">-->
			</ion-avatar>
		</ion-item>
		<ion-item no-padding (click)="login()" *ngIf="!_user.all">
			<h2>{{ 'LOGIN/REGISTER' | translate}}</h2>
			<p style="font-size: 1.0rem">{{ 'LOGIN_DESC' | translate}}</p>
			<ion-avatar item-end>

				<img  src="assets/img/miscellaneous/user.png">
			</ion-avatar>
		</ion-item>
	</ion-list>
	<ion-list class="account-list">
		<!-- <ion-item mode="ios" tappable (click)="goTo('AccountChatsPage')">
			Chats
			<ion-badge>3</ion-badge>
			<ion-icon name="fa-paypal" item-end></ion-icon>
		</ion-item> -->
		<!--<button ion-item tappable (click)="goTo('AccountNotificationPage')">-->
			<!--{{ 'NOTIFICATIONS' | translate}}-->
			<!--<ion-badge item-end *ngIf="_notif.all.length > 0">{{_notif.all.length}}</ion-badge>-->
		<!--</button>-->

		<button ion-item tappable (click)="goTo('SavedAddressPage')">
			<ion-icon name="pin" color="secondary"></ion-icon>	{{ 'SAVED_ADDRESS' | translate}}
			<ion-badge item-end *ngIf="_address.all.length > 0">{{_address.all.length}}</ion-badge>
		</button>

		<!--<button ion-item tappable (click)="goTo('AccountSettingsPage')">-->
			<!--{{ 'SETTINGS' | translate}}-->
		<!--</button>-->

		<!--<button ion-item tappable (click)="goTo('AccountHelpPage')">-->
			<!--<ion-icon name="help" color="secondary"></ion-icon> {{ 'FAQ' | translate}}-->
		<!--</button>-->

		<button ion-item tappable (click)="rateUs()">
			<ion-icon name="star-half" color="secondary"></ion-icon> {{ 'GIVE_FEEDBACK' | translate}}
		</button>

		<a ion-item tappable (click)="regularWhatsappShare()">
			<ion-icon name="logo-whatsapp" color="secondary"></ion-icon> {{ 'MSGUS' | translate}}
		</a>

		<button ion-item tappable (click)="callUs()">
			<ion-icon name="call" color="secondary"></ion-icon> {{ 'CALUS' | translate}}
		</button>

		<!--<button ion-item *ngIf="app.version">-->
			<!--<ion-icon name="appstore" color="secondary"></ion-icon> Version {{app.version}}-->
		<!--</button>-->
		<button ion-item *ngIf="user.all" (click)="logout()">
			<ion-icon name="log-out" color="secondary"></ion-icon> {{ 'LOGOUT' | translate}}
		</button>

	</ion-list>
</ion-content>
